local function DecodeNote(note)
  local ep, gp = string.match(note, "^(%d+),(%d+)$")
  if ep then
    return tonumber(ep), tonumber(gp)
  end

  return 0, 0
end

-- Parse options. Options are inside GuildInfo and are inside a -EPGP-
-- block. Possible options are:
--
-- @DECAY_P:<number>
-- @MIN_EP:<number>
-- @BASE_GP:<number>
local function GetBaseGP()
	local guild_info = GetGuildInfoText() or ""
	local base_gp = 0
	
	
  local lines = {string.split("\n", guild_info)}
  local in_block = false

  for _,line in pairs(lines) do
    if line == "-EPGP-" then
      in_block = not in_block
    elseif in_block then
      -- Decay percent
      --local dp = line:match("@DECAY_P:(%d+)")
      --if dp then
        --dp = tonumber(dp) or DEFAULT_DECAY_P
        --if dp >= 0 and dp <= 100 then
--          if decay_p ~= dp then
--            decay_p = dp
            --callbacks:Fire("DecayPercentChanged", dp)
--          end
--        else
          --EPGP:Print(L["Decay Percent should be a number between 0 and 100"])
--        end
--      end

      -- Min EP
  --    local mep = line:match("@MIN_EP:(%d+)")
    --  if mep then
      --  mep = tonumber(mep) or DEFAULT_MIN_EP
        --if mep >= 0 then
          --if min_ep ~= mep then
            --min_ep = mep
            --callbacks:Fire("MinEPChanged", mep)
            --DestroyStandings()
          --end
        --else
          --EPGP:Print(L["Min EP should be a positive number"])
        --end
      --end

      -- Base GP
      local bgp = line:match("@BASE_GP:(%d+)")
      if bgp then
        bgp = tonumber(bgp) or DEFAULT_BASE_GP
        if bgp >= 0 then
          if base_gp ~= bgp then
            base_gp = bgp
            --callbacks:Fire("BaseGPChanged", bgp)
            --DestroyStandings()
          end
        else
          --EPGP:Print(L["Base GP should be a positive number"])
        end
      end
    end
  end
	return base_gp
end

function EPGPLoot2:UpdateRaidPrio()

  local base_gp = GetBaseGP()
  local cacheRaidPrio = {}
  
  for i = 1, GetNumGuildMembers(true) do
    local name, _ , rank, _, _, _, _, note, _, _, _ = GetGuildRosterInfo(i)
    if name then
      local t = cacheRaidPrio[name]
      if not t then
        t = {}
        cacheRaidPrio[name] = t
      end
	  local ep, gp = DecodeNote(note)
      t.prio = ep / (base_gp + gp)
	  t.rank = rank
      cacheRaidPrio[name] = t

    end
  end
  return cacheRaidPrio
end
